%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

%define real_name GNS3

Name:		gns3
Version:	0.7.1
Release:	1%{?dist}
Summary:	Graphical network simulator
Group:		Applications/Emulators
License:	GPLv2
URL:		http://www.gns3.net/
Source0:	http://downloads.sourceforge.net/sourceforge/gns-3/%{real_name}-%{version}-src.tar.bz2
Source1:	%{name}.xpm
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:	python-devel python-setuptools-devel
BuildRequires:	desktop-file-utils
# rpmbuild not picking up these dependecies automatically
Requires:	PyQt4 sip

%description
Graphical network simulator that allows you to design complex 
network topology. You may run simulations or configure devices 
ranging from simple workstations to powerful Cisco routers. 

It uses Dynamips, an IOS emulator and PEMU, a PIX emulator which
allow users to run IOS and PIX binary images from Cisco Systems. 

%prep
%setup -q -n %{real_name}-%{version}-src
%{__chmod} 644 AUTHORS CHANGELOG TODO LICENSE

%{__cat} <<'EOF' > %{name}.desktop
[Desktop Entry]
Name=GNS3
GenericName=Graphical Network Simulator
Comment=program to simulate networks
Exec=gns3
Icon=%{name}
Terminal=false
Type=Application
Categories=Network;
EOF

%{__cat} <<'EOF' > gns3.ini
[Dynamips]
hypervisor_path=/usr/bin/dynamips
hypervisor_port=7200
hypervisor_baseUDP=10002
hypervisor_baseConsole=2000
hypervisor_working_directory=~/.gns3/tmp
clean_working_directory=true
dynamips_ghosting=true
dynamips_sparsemem=false
dynamips_mmap=true
hypervisor_udp_incrementation=100
hypervisor_manager_import=true
hypervisor_manager_binding=localhost

[GNS3]
console=konsole --new-tab -p tabtitle=%d -e telnet %h %p >/dev/null 2>&1 &
gui_show_status_points=true
gui_use_manual_connection=false
ios_directory=~/.gns3
project_directory=~/.gns3

[Pemu]
pemuwrapper_path=%{_datadir}/%{name}/qemuwrapper/pemubin.py
pemuwrapper_working_directory=~/.gns3/tmp
external_host=
enable_PemuManager=true
pemu_manager_import=true
default_pix_image=
default_pix_key="0x00000000,0x00000000,0x00000000,0x00000000"
default_pix_serial=0x12345678
default_base_flash=
pemu_manager_binding=localhost
EOF

%build
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build
%{__chmod} a+x build/lib/%{real_name}/Dynagen/{confConsole,console,dynagen,dynamips_lib,qemu_lib}.py

%install
%{__rm} -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
%{__install} -D -p -m0755 qemuwrapper/pemubin.py $RPM_BUILD_ROOT%{_datadir}/%{name}/qemuwrapper/pemubin.py
%{__install} -D -p -m0644 gns3.ini $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/gns3.ini
%{__install} -D -p -m0644 docs/man/gns3.1 $RPM_BUILD_ROOT%{_mandir}/man1/gns3.1
%{__install} -D -p -m0644 %{name}.desktop $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%{__install} -D -p -m0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.xpm
desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop
%{__gzip} $RPM_BUILD_ROOT%{_mandir}/man1/gns3.1

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS CHANGELOG TODO LICENSE
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_bindir}/*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%{_mandir}/man1/*
%dir %{python_sitelib}/%{real_name}
%{python_sitelib}/%{real_name}/*
%{python_sitelib}/%{real_name}-%{version}-*


%changelog
* Fri Apr 30 2010 Andrew Colin Kissa <andrew@topdog.za.net> - 0.7.1-1
- Upgrade to latest upstream
- Fix issues raised by reviewer

* Mon Jul 06 2009 Andrew Colin Kissa <andrew@topdog.za.net> - 0.6.1-1
- Initial package
